NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.MergeFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.MergeFacetBodyBuilder It merges two overlapping NX facet bodies. More...

Inheritance diagram for NXOpen.Facet.MergeFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Input { Keep, Delete, Hide }
 Represents the option for keeping, deleting or hiding input two facet bodies after builder committing More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance used in the merge facet body feature More...
 
unsafe NXOpen.Expression ChordHeight [get]
 Returns the chord height to control the size of new facets More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance used in the merge facet body feature More...
 
unsafe NXOpen.Expression EdgeLength [get]
 Returns the edge length to control the size of new facets More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
FacetBodyOne [get]
 Returns the first NX facet body to be merged More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
FacetBodyTwo [get]
 Returns the second NX facet body to be merged More...
 
unsafe
NXOpen.Facet.MergeFacetBodyBuilder.Input 
InputStatus [get, set]
 Returns or sets the option to specify how to deal with the input two facet bodies: keep, delete or hide More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.MergeFacetBodyBuilder It merges two overlapping NX facet bodies.

It returns a new mergered NX facet body. The two input bodies can be kept, deleted or hidden.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateMergeFacetBodyBuilder

Default values.

Property Value

ChordHeight.Value

0.05 (millimeters part), 0.005 (inches part)

EdgeLength.Value

1 (millimeters part), 0.1 (inches part)

InputStatus

Keep

Created in NX9.0.0

Member Enumeration Documentation

Represents the option for keeping, deleting or hiding input two facet bodies after builder committing

Enumerator
Keep 

Keep the input facet body after builder committing

Delete 

Delete the input facet body after builder committing

Hide 

Hide the input facet body after builder committing

Property Documentation

unsafe double NXOpen.Facet.MergeFacetBodyBuilder.AngleTolerance
getset

Returns or sets the angle tolerance used in the merge facet body feature

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Facet.MergeFacetBodyBuilder.ChordHeight
get

Returns the chord height to control the size of new facets

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Facet.MergeFacetBodyBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance used in the merge facet body feature

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Facet.MergeFacetBodyBuilder.EdgeLength
get

Returns the edge length to control the size of new facets

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Facet.MergeFacetBodyBuilder.FacetBodyOne
get

Returns the first NX facet body to be merged

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Facet.MergeFacetBodyBuilder.FacetBodyTwo
get

Returns the second NX facet body to be merged

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Facet.MergeFacetBodyBuilder.Input NXOpen.Facet.MergeFacetBodyBuilder.InputStatus
getset

Returns or sets the option to specify how to deal with the input two facet bodies: keep, delete or hide

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.